#include "pico/stdlib.h"

// Couleur quand la distance est trop loin pour s'en servir avec fiabilité
#define COULEUR_TRES_LOIN 0x00, 0x00, 0x01
// Couleur quand la distance fiable mais loin
#define COULEUR_LOIN 0x00, 0x01, 0x00
// Couleur quand la distance fiable et que le robot doit ralentir
#define COULEUR_PROCHE 0x01, 0x01, 0x00
// Couleur trop proche : rien ne devrait être si près
#define COULEUR_TROP_PROCHE 0x01, 0x00, 0x01


int continuous_multiple_reading(void);
int continuous_special_reading(void);
void affiche_distance_sur_led(unsigned char *);
void affiche_couleur_sur_led(uint8_t couleur_8bits, uint8_t led);
void reset_affichage_led(void);
void initialise_adresses(void);
int change_address(uint8_t *device, uint8_t new_i2c_7bits_address);
int calibration(uint8_t device);
int continuous_reading(uint8_t device);
int capteur_pret(uint8_t capteur);
int capteur_lire_distance_cm(uint8_t capteur, uint8_t * distance_cm);
uint8_t * get_distance_capteur_cm(void);

extern uint8_t statu_capteurs[];
